Skip to main content
DELETE
/
agents
/
{agentId}
/
approval-grants
/
{grantId}
JavaScript
import Cerca from '@cerca-dev/sdk';

const client = new Cerca({
  apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted
});

const approvalGrant = await client.approvalGrants.delete('agent_abc123', 'grant_abc123');

console.log(approvalGrant.ok);
{}

Documentation Index

Fetch the complete documentation index at: https://docs.cerca.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agentId
string
required
Minimum string length: 1
Example:

"agent_abc123"

grantId
string
required
Minimum string length: 1
Example:

"grant_abc123"

Response

Agent approval grant deleted.

ok
enum<boolean>
required
Available options:
true